<div class="editor-card-options">
  <div class="responsive-value">
    <div class="heading text-center text-md-start ms-4">
      <label class="label">
        {{t "option-panel.card-type"}}
      </label>
    </div>

    <div class="card-type-selector mb-3 d-flex justify-content-between flex-wrap">
      {{#each this.pageCols.cardTypes as |type|}}
        <button type="button" class="btn btn-card-type btn-card-{{type}} {{if (eq this.cardType type) 'selected'}} m-1"
          {{on "click" (fn this.changeCardType type)}}>
          <img src="/img/cards/{{type}}.svg" alt={{type}} />
        </button>
      {{/each}}
    </div>
  </div>

  <Editor::Properties::OptionContainer @label={{t "option-panel.destination"}}>
    <Input::Options::Select @list={{this.pageList}} @value={{this.destination}} @onChange={{this.changeDestination}} />
  </Editor::Properties::OptionContainer>

  <Input::Options::Panel @space={{@space}} @config={{this.coverConfig}} @value={{this.cover}} @onChange={{this.changeCover}} />

  <Input::Options::Frame class="card-options" @title={{t "option-panel.container"}}>
    <Editor::Properties::ResponsiveValue @label={{t "option-panel.width"}} as |size|>
      <Input::Options::Width class="{{size}}-width-select" @value={{this.container}} @deviceSize={{size}}
        @onChangeOptions={{this.onChangeContainer}} />
    </Editor::Properties::ResponsiveValue>

    <Editor::Properties::ResponsiveValue @label={{t "option-panel.paddings"}} as |size|>
      <Input::Options::Paddings @type={{size}} @options={{this.container.classes}} @deviceSize={{size}}
        @onChangeOptions={{this.onChangeContainerClasses}} />
    </Editor::Properties::ResponsiveValue>
  </Input::Options::Frame>

  <Input::Options::Frame class="container-list-options" @title={{t "option-panel.container-list"}}>
    <Editor::Properties::ResponsiveValue @label={{t "option-panel.justify-content"}} as |size|>
      <Editor::Properties::JustifyContent @size={{size}} @options={{this.containerLisClasses}}
        @onChange={{this.onContainerLisClassesChange}} />
    </Editor::Properties::ResponsiveValue>

    <Editor::Properties::ResponsiveValue @label={{t "option-panel.max-items"}} @deviceSize={{@deviceSize}} as |size|>
      <Input::Text @type="number" class="form-control input-max-items-{{size}}" @value={{get this.maxItems size}} @onChange={{fn this.changeMaxItems size}} />
    </Editor::Properties::ResponsiveValue>
  </Input::Options::Frame>

  {{#if this.extraFieldsConfig}}
    <Input::Options::Frame class="extra-fields-section" @title={{t "option-panel.extra-fields"}}>
      <Input::Options::Panel class="extra-fields-options" @space={{@space}} @config={{this.extraFieldsConfig}} @value={{this.extraFields}}
        @onChange={{this.changeExtraFields}} />
    </Input::Options::Frame>
  {{/if}}
</div>